spring:
  datasource:
    driver-class-name: net.sf.log4jdbc.DriverSpy
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      # 连接池的配置信息
      # 初始化大小，最小，最大
      initial-size: 5
      min-idle: 5
      maxActive: 20
      # 配置获取连接等待超时的时间
      maxWait: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      validationQuery: SELECT 1
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      # 打开PSCache，并且指定每个连接上PSCache的大小
      poolPreparedStatements: true
      maxPoolPreparedStatementPerConnectionSize: 20
      # 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
      filters: stat,wall
      # 通过connectProperties属性来打开mergeSql功能；慢SQL记录
      connectionProperties: druid.stat.mergeSql\=true;druid.stat.slowSqlMillis\=5000
      # 配置DruidStatFilter
      web-stat-filter:
        enabled: true
        url-pattern: "/*"
        exclusions: "*.js,*.gif,*.jpg,*.bmp,*.png,*.css,*.ico,/druid/*"
      # 配置DruidStatViewServlet
      stat-view-servlet:
        url-pattern: "/druid/*"
        # IP白名单(没有配置或者为空，则允许所有访问)
        allow:
        # IP黑名单 (存在共同时，deny优先于allow)
        deny:
        #  禁用HTML页面上的“Reset All”功能
        reset-enable: false
        # 登录名
        login-username: admin
        # 登录密码
        login-password: jpsoft
  devtools:
    restart:
      enabled: true
  profiles:
    active: dev
  redis:
    # Redis数据库索引（默认为0）
    database: 1
    # Redis服务器地址
    host: 192.168.33.21
    #host: 127.0.0.1
    # Redis服务器连接端口
    port: 6379
    # Redis服务器连接密码（默认为空）
    password:
    #password: 123456
    # 连接池最大连接数（使用负值表示没有限制）
    pool:
      max-active: 8
      # 连接池最大阻塞等待时间（使用负值表示没有限制）
      max-wait: -1
      # 连接池中的最大空闲连接
      max-idle: 8
      # 连接池中的最小空闲连接
      min-idle: 0
      # 连接超时时间（毫秒）
      timeout: 0

mybatis:
  typeAliasesPackage: com.jpsoft.shinestar.**.entity
  mapperLocations: classpath*:mapper/**/*.xml
  configuration:
    default-statement-timeout: 60

pagehelper:
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql

doorApi:
  referer: http://58.54.251.155
  apiId: bl63d49fae22bf5cca
  apiKey: e52e545cb4d6c98a8a7e68b0718d3f63

oss:
  accessKeyId: LTAIXIyrXmjgOXQa
  accessKeySecret: B0RS3zHLct8OKKIDu2HREaVx6RXgWL
  endpoint: http://oss-cn-hangzhou.aliyuncs.com
  bucketName: rccs
  urlPrefix: http://rccs.oss-cn-hangzhou.aliyuncs.com
  objectPre: smart


